Bug 730793 - [abrt] yum-3.4.3-4.fc16: rpmsack.py:1618:get_package:AttributeError: 'RPMDBAdditionalData' object has no attribute 'yumdb_cache'
Summary: [abrt] yum-3.4.3-4.fc16: rpmsack.py:1618:get_package:AttributeError: 'RPMDBAd...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0591769b9451961585360da7b96...
Depends On:
Blocks: 883463
TreeView+ depends on / blocked
 
Reported: 2011-08-15 19:25 UTC by Mads Kiilerich
Modified: 2014-01-21 23:19 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 883463 (view as bug list)
Environment:
Last Closed: 2011-08-17 06:44:27 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2011-08-15 19:25:42 UTC
abrt version: 2.0.5
cmdline:        /usr/bin/python /usr/bin/yum list db4*
comment:        Trying to run a yum list as an ordinary user
executable:     /usr/bin/yum
kernel:         3.0.1-3.fc16.x86_64
reason:         rpmsack.py:1618:get_package:AttributeError: 'RPMDBAdditionalData' object has no attribute 'yumdb_cache'
smolt_data:     Unable to save UUID to /etc/smolt/hw-uuid.  Please run once as root.
time:           Mon Aug 15 19:24:03 2011
uid:            1000
username:       liveuser

backtrace:
:rpmsack.py:1618:get_package:AttributeError: 'RPMDBAdditionalData' object has no attribute 'yumdb_cache'
:
:Traceback (most recent call last):
:  File "/usr/bin/yum", line 29, in <module>
:    yummain.user_main(sys.argv[1:], exit_code=True)
:  File "/usr/share/yum-cli/yummain.py", line 309, in user_main
:    errcode = main(args)
:  File "/usr/share/yum-cli/yummain.py", line 140, in main
:    result, resultmsgs = base.doCommands()
:  File "/usr/share/yum-cli/cli.py", line 462, in doCommands
:    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
:  File "/usr/share/yum-cli/yumcommands.py", line 537, in doCommand
:    ypl = base.returnPkgLists(extcmds, installed_available=highlight)
:  File "/usr/share/yum-cli/cli.py", line 1125, in returnPkgLists
:    ignore_case=True)
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2299, in doPackageLists
:    ignore_case=ic):
:  File "/usr/lib/python2.7/site-packages/yum/rpmsack.py", line 630, in returnPackages
:    self._makePackageObject(hdr, idx)
:  File "/usr/lib/python2.7/site-packages/yum/rpmsack.py", line 1279, in _makePackageObject
:    po = RPMInstalledPackage(hdr, index, self)
:  File "/usr/lib/python2.7/site-packages/yum/rpmsack.py", line 75, in __init__
:    YumInstalledPackage.__init__(self, rpmhdr, yumdb=rpmdb.yumdb)
:  File "/usr/lib/python2.7/site-packages/yum/packages.py", line 1763, in __init__
:    self.yumdb_info = yumdb.get_package(self)
:  File "/usr/lib/python2.7/site-packages/yum/rpmsack.py", line 1618, in get_package
:    yumdb_cache=self.yumdb_cache)
:AttributeError: 'RPMDBAdditionalData' object has no attribute 'yumdb_cache'
:
:Local variables in innermost frame:
:pkgid: None
:self: <yum.rpmsack.RPMDBAdditionalData object at 0x28b9fd0>
:pkgtup: None
:po: <RPMInstalledPackage : db4-4.8.30-3.fc15.x86_64 (0x7f792df475d0)>
:thisdir: '/var/lib/yum/yumdb/d/410f98e91ac24da8556e19f9d2c7ce62ab1bd767-db4-4.8.30-3.fc15-x86_64'

Comment 1 Mads Kiilerich 2011-08-15 19:37:02 UTC
This happened while /var/lib/rpm needed recovery. Yum should however not fail this bad. Ordinary yum commands run by root failed nicely.

Comment 2 Zdeněk Pavlas 2011-08-17 06:44:27 UTC
Fixed in upstream, closing.

Comment 3 Richard W.M. Jones 2012-12-04 16:32:52 UTC
The fix for this bug was:

commit 2f480e8dd6757cbe48037a5507c0c19cc97b2e71
Author: Zdeněk Pavlas <zpavlas@redhat.com>
Date:   Tue Aug 16 13:13:12 2011 +0200

    Small fix in RPMDBAdditionalData init. BZ 730793
    
    Initialize RPMDBAdditionalData object even when makedirs /var/lib/yum/yumdb


Note You need to log in before you can comment on or make changes to this bug.